Bug 143247 - large hosts file locks up system-config-network v. 1.3.22
large hosts file locks up system-config-network v. 1.3.22
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: system-config-network (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
:
Depends On:
Blocks: 87718
  Show dependency treegraph
 
Reported: 2004-12-17 13:25 EST by Steve Murphy
Modified: 2008-01-11 17:20 EST (History)
1 user (show)

See Also:
Fixed In Version: 1.4.7-1.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-11 17:20:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
This hosts file is only about 5400 lines long... (172.76 KB, text/plain)
2004-12-17 13:31 EST, Steve Murphy
no flags Details

  None (edit)
Description Steve Murphy 2004-12-17 13:25:30 EST
Description of problem:

If I add to the hosts file all the declarations that would
protect me against adware, cookies, etc, then, the file seems
too big for system-config-network to handle. When you do a save,
it goes nuts, pegs cpu, etc, and doesn't save anything. You have to
kill it and then worry about half-written files, etc.

Version-Release number of selected component (if applicable):
system-config-network 1.3.22

How reproducible:
Always

Steps to Reproduce:
1. Add a LOT of 127.0.0.1 entries
2.Start up system-config-network
3.Add another entry to the hosts.
4. Save the config.

  
Actual results:


Expected results:
I kinda expected it to just plain write out the data and 
return successfully!

Additional info:
I'll attach the file I tried to use. If I remove all the extra
entries and re-run, the problem goes away.
Comment 1 Steve Murphy 2004-12-17 13:31:11 EST
Created attachment 108816 [details]
This hosts file is only about 5400 lines long...
Comment 2 Harald Hoyer 2004-12-20 08:11:43 EST
hmpf... totally insane :) ... why not use firefox addblocker?
Comment 3 Steve Murphy 2004-12-20 12:33:37 EST
Well, I admit, I do now, but earlier, all I had was the Mozilla suite,
and this big hosts file worked great at silencing the ads.

The "huge" file is available on the internet, and is extensively used
thru-out the world to protect Windows systems against not only ads in
browsers, but keyloggers, spyware, and any other malware that might
either report or fetch material from/to central named repositories.

Now, I guess we have nothing to worry about in the Linux world. The
spyware guys would NEVER port their stuff to Linux, and slip this crud
in with other installed packages! Right?
Comment 4 Matthew Miller 2006-07-10 19:09:33 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 5 Fedora Update System 2007-12-06 15:44:47 EST
system-config-network-1.4.7-1.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update system-config-network'
Comment 6 Fedora Update System 2008-01-11 17:20:24 EST
system-config-network-1.4.7-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.